Rails.application.routes.draw do
  post 'sessions/create', as: 'login', to: 'sessions#create'
  get 'sessions/destroy', as: 'logout', to: 'sessions#destroy'

  get 'recipes/new', as: 'new_recipe', to: 'recipes#new'
  post 'recipes', as: 'create_recipe', to: 'recipes#create'

  get 'recipes/index(/:page)', as: 'recipes', to: 'recipes#index'
  get 'recipes/:id/edit', as: 'edit_recipe', to: 'recipes#edit'
  put 'recipes/:id', as: 'update_recipe', to: 'recipes#update'

  get 'recipes/:id', as: 'recipe', to: 'recipes#show'
  get 'download/:id', as: 'download', to: 'recipes#download'


  get 'users/new', as: 'register', to: 'users#new'
  post 'users/create', as: 'create_user', to: 'users#create'

  get 'users/forgotten', as: 'forgotten', to: 'users#forgotten'
  
  get 'users/:id/edit/', as: 'profile', to: 'users#edit'
  put 'users/:id', as: 'update_user', to: 'users#update'

  get 'users/:id', as: 'user', to: 'users#show'


  resources :ingredients
  get 'say/hello'

  root to: 'recipes#index'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
