require 'test_helper'

class UsersControllerTest < ActionDispatch::IntegrationTest
  def setup
    @valaki = users(:valaki)
  end

  test "should get new" do
    get '/users/new'
    assert_response :success
  end

  test 'registed a new user' do
    assert_equal User.count, 2
    post '/users/create', params: { user: { email: 'senki@mail.bme.hu', name: "Sen Ki", password: 'a', password_confirmation: 'a' } }, headers: { "HTTP_REFERER": '/say/hello' }
    assert_response :redirect
    assert_equal User.count, 3
  end

  test "should get edit" do
    get '/users/'+users(:valaki).id.to_s+'/edit'
    assert_response :success
  end

  test "should get show" do
    post '/sessions/create', 
      params: { email: users(:valaki).email, password: 'a' }, 
      headers: { "HTTP_REFERER": '/say/hello' }
    assert_equal session[:user], users(:valaki).id
    get '/users/'+@valaki.id.to_s
    assert_response :success
  end

  test "should get forgotten" do
    get '/users/forgotten'
    assert_response :success
  end

end
