require 'test_helper'

class UploadRecipeTest < ActionDispatch::IntegrationTest
  test "upload an image for a recipe" do
    assert true

    get '/say/hello'
    assert_response :success
    assert_select 'form', 1
    assert_select 'legend', 'Login'

    post '/sessions/create', params: { email: users(:valaki).email, password: 'a' }, headers: { "HTTP_REFERER": url_for(controller: :say, action: :hello) }
    assert_response :redirect
    assert_equal session[:user], users(:valaki).id

    get url_for(controller: :recipes, action: :index, page: 1)
    assert_response :success

    get '/recipes/'+recipes(:kenyer).id.to_s+'/edit'
    assert_response :success

    recipe = recipes(:kenyer)
    upload_file = fixture_file_upload(
      Rails.root.join('test', 'fixtures', 'files', 'rails_hello.png'), 
      'image/png')
    put url_for(controller: :recipes, action: :update, id: recipe.id),
      params: {
        recipe: { 
          name: recipe.name, 
          description: recipe.description,
          cook_time: recipe.cook_time,
          complexity: recipe.complexity,
          image: upload_file
        } 
      },
      headers: { 'HTTP_REFERER': url_for(contorller: :recipes, action: :edit, id: recipes(:kenyer).id) }
    image = Image.last
    assert_equal image.name, 'rails_hello.png'
    assert File.exist?(Rails.root.join('public', 'images', image.id.to_s)) 
  end
end
